SDL_BeginGPURenderPass(3)

NAME
SDL_BeginGPURenderPass - Begins a render pass on a command buffer.

HEADER FILE
Defined in SDL3/SDL_gpu.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_GPURenderPass * SDL_BeginGPURenderPass(
    SDL_GPUCommandBuffer *command_buffer,
    const SDL_GPUColorTargetInfo *color_target_infos,
    Uint32 num_color_targets,
    const SDL_GPUDepthStencilTargetInfo *depth_stencil_target_info);

DESCRIPTION
A render pass consists of a set of texture subresources (or depth slices in the 3D texture case) which will be rendered to during the render pass, along with corresponding clear values and load/store operations. All operations related to graphics pipelines must take place inside of a render pass. A default viewport and scissor state are automatically set when this is called. You cannot begin another render pass, or begin a compute pass or copy pass until you have ended the render pass.

FUNCTION PARAMETERS

command_buffer
    a command buffer.

color_target_infos
    an array of texture subresources with corresponding clear values and load/store ops.

num_color_targets
    the number of color targets in the color_target_infos array.

depth_stencil_target_info
    a texture subresource with corresponding clear value and load/store ops, may be NULL.

RETURN VALUE
( SDL_GPURenderPass
 *) Returns a render pass handle.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_EndGPURenderPass(3)